#ifndef SLING_SHOT_H
#define SLING_SHOT_H

#include "object_base.h"
#include "intersect.h"

class SLING_SHOT : public OBJECT_BASE
{
  public:
    SLING_SHOT();
    void logic();
    void render(BITMAP *buffer);
  private:
    void caculate_sling(int p_base, int power, fixed &angle, fixed &xo, fixed &yo);
    int position;
    int mx, my;
    float power;
    bool fired;
    bool growing;
    int diametre;
    float fire_power;
};

#endif
