#ifndef GLOBAL_H
#define GLOBAL_H

#define GAME_WIDTH      600
#define GAME_HEIGHT     700

#define CENTRE(x)   (x) + (GAME_WIDTH / 2)
#define ORIGIN(x)   (x) - (GAME_WIDTH / 2)

#define MAX_DIAMETRE    10
#define MAX_POWER       30

#define MIN_PLAY_AREA   -300
#define MAX_PLAY_AREA    300

#define SLING_MIN   (MIN_PLAY_AREA + (2 * MAX_DIAMETRE))
#define SLING_MAX   (MAX_PLAY_AREA - (2 * MAX_DIAMETRE))

#include "ball.h"
#include "invader.h"
#include "object_manager.h"
extern OBJECT_MANAGER<BALL> balls;
extern OBJECT_MANAGER<INVADER> invaders;


#endif
