#include "invader.h"

#include "global.h"

INVADER::INVADER() : x(0), y(0)
{
	x = 0;
	y = SCREEN_H / 2;
	dy = 0;
}

INVADER::INVADER(int _x, int _y)
{
    x = _x;
    y = _y;
}

void INVADER::logic()
{
    if (dx > 30) dx = 30;
    if (dx < -30) dx = -30;
    if (dy > 30) dy = 30;
    if (dy < -30) dy = -30;

	x += dx;
	y += dy;

    if ((x - 30) < (MIN_PLAY_AREA + MAX_DIAMETRE))
    {
        dx = abs(dx);
    }

    if ((x + 30) > (MAX_PLAY_AREA - MAX_DIAMETRE))
    {
        dx = -abs(dx);
    }

    if (y > SCREEN_H)
    {
        y = SCREEN_H;
        dy = -abs(dy);
    }

    if ((y - 60) < 0)
    {
        y = 60;
        dy = abs(dy);
    }
}

void INVADER::render(BITMAP *buffer)
{
    rect(buffer, CENTRE(x) - 30, y - 60, CENTRE(x) + 30, y, makecol(255,255,255));
}
